<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: JsonArray Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classJsonArray-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">JsonArray Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array.  
 <a href="classJsonArray.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="JSON_8h_source.html">JSON.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a451aeaf9796d6563cb2a7302102bbefb"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#a451aeaf9796d6563cb2a7302102bbefb">getInt</a> (int item)</td></tr>
<tr class="memdesc:a451aeaf9796d6563cb2a7302102bbefb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the indexed int value from the array.  <a href="#a451aeaf9796d6563cb2a7302102bbefb">More...</a><br /></td></tr>
<tr class="separator:a451aeaf9796d6563cb2a7302102bbefb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa27a10fde0ca40af40e40a6fbabe3441"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classJsonObject.html">JsonObject</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#aa27a10fde0ca40af40e40a6fbabe3441">getObject</a> (int item)</td></tr>
<tr class="memdesc:aa27a10fde0ca40af40e40a6fbabe3441"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the indexed object value from the array.  <a href="#aa27a10fde0ca40af40e40a6fbabe3441">More...</a><br /></td></tr>
<tr class="separator:aa27a10fde0ca40af40e40a6fbabe3441"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef6956e2bcf6d597cc49e447b56d2e72"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#aef6956e2bcf6d597cc49e447b56d2e72">getString</a> (int item)</td></tr>
<tr class="memdesc:aef6956e2bcf6d597cc49e447b56d2e72"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the indexed object value from the array.  <a href="#aef6956e2bcf6d597cc49e447b56d2e72">More...</a><br /></td></tr>
<tr class="separator:aef6956e2bcf6d597cc49e447b56d2e72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a469e76b66f2a726c5dab76df503453f2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#a469e76b66f2a726c5dab76df503453f2">getBoolean</a> (int item)</td></tr>
<tr class="memdesc:a469e76b66f2a726c5dab76df503453f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the indexed boolean value from the array.  <a href="#a469e76b66f2a726c5dab76df503453f2">More...</a><br /></td></tr>
<tr class="separator:a469e76b66f2a726c5dab76df503453f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a990fd5ff27aafa9d87b1f182864411b2"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#a990fd5ff27aafa9d87b1f182864411b2">getDouble</a> (int item)</td></tr>
<tr class="memdesc:a990fd5ff27aafa9d87b1f182864411b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the indexed double value from the array.  <a href="#a990fd5ff27aafa9d87b1f182864411b2">More...</a><br /></td></tr>
<tr class="separator:a990fd5ff27aafa9d87b1f182864411b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac882d27fd5b1d442b7125a335ec5b0f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#ac882d27fd5b1d442b7125a335ec5b0f7">addBoolean</a> (bool value)</td></tr>
<tr class="memdesc:ac882d27fd5b1d442b7125a335ec5b0f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a boolean value to the array.  <a href="#ac882d27fd5b1d442b7125a335ec5b0f7">More...</a><br /></td></tr>
<tr class="separator:ac882d27fd5b1d442b7125a335ec5b0f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a460aab935bb63936b4fccd12c2f0a4b4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#a460aab935bb63936b4fccd12c2f0a4b4">addDouble</a> (double value)</td></tr>
<tr class="memdesc:a460aab935bb63936b4fccd12c2f0a4b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a double value to the array.  <a href="#a460aab935bb63936b4fccd12c2f0a4b4">More...</a><br /></td></tr>
<tr class="separator:a460aab935bb63936b4fccd12c2f0a4b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8844c8d4eb2a31398fed96a0787217a5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#a8844c8d4eb2a31398fed96a0787217a5">addInt</a> (int value)</td></tr>
<tr class="memdesc:a8844c8d4eb2a31398fed96a0787217a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an int value to the array.  <a href="#a8844c8d4eb2a31398fed96a0787217a5">More...</a><br /></td></tr>
<tr class="separator:a8844c8d4eb2a31398fed96a0787217a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4959a095344c9f01313e44f9fd411f79"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#a4959a095344c9f01313e44f9fd411f79">addObject</a> (<a class="el" href="classJsonObject.html">JsonObject</a> value)</td></tr>
<tr class="memdesc:a4959a095344c9f01313e44f9fd411f79"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an object value to the array.  <a href="#a4959a095344c9f01313e44f9fd411f79">More...</a><br /></td></tr>
<tr class="separator:a4959a095344c9f01313e44f9fd411f79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60debf309978611516a265b7e46a2ccb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#a60debf309978611516a265b7e46a2ccb">addString</a> (std::string value)</td></tr>
<tr class="memdesc:a60debf309978611516a265b7e46a2ccb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a string value to the array.  <a href="#a60debf309978611516a265b7e46a2ccb">More...</a><br /></td></tr>
<tr class="separator:a60debf309978611516a265b7e46a2ccb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89154776badf43a8b4ad7f9b040334df"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#a89154776badf43a8b4ad7f9b040334df">toString</a> ()</td></tr>
<tr class="memdesc:a89154776badf43a8b4ad7f9b040334df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert the <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array to a string.  <a href="#a89154776badf43a8b4ad7f9b040334df">More...</a><br /></td></tr>
<tr class="separator:a89154776badf43a8b4ad7f9b040334df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c47cac24c3ab148a08e4e5c0c407849"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#a0c47cac24c3ab148a08e4e5c0c407849">toStringUnformatted</a> ()</td></tr>
<tr class="memdesc:a0c47cac24c3ab148a08e4e5c0c407849"><td class="mdescLeft">&#160;</td><td class="mdescRight">Build an unformatted string representation.  <a href="#a0c47cac24c3ab148a08e4e5c0c407849">More...</a><br /></td></tr>
<tr class="separator:a0c47cac24c3ab148a08e4e5c0c407849"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fdfa5f61149d0e8ca1f443762b54618"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classJsonArray.html#a3fdfa5f61149d0e8ca1f443762b54618">size</a> ()</td></tr>
<tr class="memdesc:a3fdfa5f61149d0e8ca1f443762b54618"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of elements from the array.  <a href="#a3fdfa5f61149d0e8ca1f443762b54618">More...</a><br /></td></tr>
<tr class="separator:a3fdfa5f61149d0e8ca1f443762b54618"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a66fb0fb6ee611c3bdf28f6d2b3d90422"><td class="memItemLeft" align="right" valign="top"><a id="a66fb0fb6ee611c3bdf28f6d2b3d90422"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>JSON</b></td></tr>
<tr class="separator:a66fb0fb6ee611c3bdf28f6d2b3d90422"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97897db74b0d4fed9f831f2cee2cecbb"><td class="memItemLeft" align="right" valign="top"><a id="a97897db74b0d4fed9f831f2cee2cecbb"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>JsonObject</b></td></tr>
<tr class="separator:a97897db74b0d4fed9f831f2cee2cecbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ac882d27fd5b1d442b7125a335ec5b0f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac882d27fd5b1d442b7125a335ec5b0f7">&#9670;&nbsp;</a></span>addBoolean()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void JsonArray::addBoolean </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a boolean value to the array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The boolean value to add to the array. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a460aab935bb63936b4fccd12c2f0a4b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a460aab935bb63936b4fccd12c2f0a4b4">&#9670;&nbsp;</a></span>addDouble()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void JsonArray::addDouble </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a double value to the array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The double value to add to the array. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a8844c8d4eb2a31398fed96a0787217a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8844c8d4eb2a31398fed96a0787217a5">&#9670;&nbsp;</a></span>addInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void JsonArray::addInt </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add an int value to the array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The int value to add to the array. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a4959a095344c9f01313e44f9fd411f79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4959a095344c9f01313e44f9fd411f79">&#9670;&nbsp;</a></span>addObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void JsonArray::addObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classJsonObject.html">JsonObject</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add an object value to the array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The object value to add to the array. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a60debf309978611516a265b7e46a2ccb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60debf309978611516a265b7e46a2ccb">&#9670;&nbsp;</a></span>addString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void JsonArray::addString </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a string value to the array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The string value to add to the array. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a469e76b66f2a726c5dab76df503453f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a469e76b66f2a726c5dab76df503453f2">&#9670;&nbsp;</a></span>getBoolean()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool JsonArray::getBoolean </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the indexed boolean value from the array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">item</td><td>The index of the array to retrieve. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The boolean value at the given index. </dd></dl>

</div>
</div>
<a id="a990fd5ff27aafa9d87b1f182864411b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a990fd5ff27aafa9d87b1f182864411b2">&#9670;&nbsp;</a></span>getDouble()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double JsonArray::getDouble </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the indexed double value from the array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">item</td><td>The index of the array to retrieve. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The double value at the given index. </dd></dl>

</div>
</div>
<a id="a451aeaf9796d6563cb2a7302102bbefb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a451aeaf9796d6563cb2a7302102bbefb">&#9670;&nbsp;</a></span>getInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int JsonArray::getInt </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the indexed int value from the array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">item</td><td>The index of the array to retrieve. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The int value at the given index. </dd></dl>

</div>
</div>
<a id="aa27a10fde0ca40af40e40a6fbabe3441"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa27a10fde0ca40af40e40a6fbabe3441">&#9670;&nbsp;</a></span>getObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classJsonObject.html">JsonObject</a> JsonArray::getObject </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the indexed object value from the array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">item</td><td>The index of the array to retrieve. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The object value at the given index. </dd></dl>

</div>
</div>
<a id="aef6956e2bcf6d597cc49e447b56d2e72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef6956e2bcf6d597cc49e447b56d2e72">&#9670;&nbsp;</a></span>getString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string JsonArray::getString </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the indexed object value from the array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">item</td><td>The index of the array to retrieve. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The object value at the given index. </dd></dl>

</div>
</div>
<a id="a3fdfa5f61149d0e8ca1f443762b54618"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fdfa5f61149d0e8ca1f443762b54618">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t JsonArray::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the number of elements from the array. </p>
<dl class="section return"><dt>Returns</dt><dd>The int value that represents the number of elements. </dd></dl>

</div>
</div>
<a id="a89154776badf43a8b4ad7f9b040334df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89154776badf43a8b4ad7f9b040334df">&#9670;&nbsp;</a></span>toString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string JsonArray::toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert the <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> array to a string. </p>
<dl class="section return"><dt>Returns</dt><dd>A <a class="el" href="classJSON.html" title="Top level JSON handler.">JSON</a> string representation of the array. </dd></dl>

</div>
</div>
<a id="a0c47cac24c3ab148a08e4e5c0c407849"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c47cac24c3ab148a08e4e5c0c407849">&#9670;&nbsp;</a></span>toStringUnformatted()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string JsonArray::toStringUnformatted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Build an unformatted string representation. </p>
<dl class="section return"><dt>Returns</dt><dd>A string representation. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="JSON_8h_source.html">JSON.h</a></li>
<li>JSON.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
